diff --git a/src/backend/executor/nodeHashjoin.c b/src/backend/executor/nodeHashjoin.c
index 8f2b634..f0f95f6 100644
*** a/src/backend/executor/nodeHashjoin.c
--- b/src/backend/executor/nodeHashjoin.c
***************
*** 161,168 **** static void ExecParallelHashJoinPartitionOuter(HashJoinState *node);
   *			  the other one is "outer".
   * ----------------------------------------------------------------
   */
! pg_attribute_always_inline
! static inline TupleTableSlot *
  ExecHashJoinImpl(PlanState *pstate, bool parallel)
  {
  	HashJoinState *node = castNode(HashJoinState, pstate);
--- 161,168 ----
   *			  the other one is "outer".
   * ----------------------------------------------------------------
   */
! static pg_attribute_always_inline
! TupleTableSlot *
  ExecHashJoinImpl(PlanState *pstate, bool parallel)
  {
  	HashJoinState *node = castNode(HashJoinState, pstate);
diff --git a/src/include/c.h b/src/includeindex 34a7fa6..b6128fc 100644
*** a/src/include/c.h
--- b/src/include/c.h
***************
*** 148,159 ****
  
  /* GCC, Sunpro and XLC support always_inline via __attribute__ */
  #if defined(__GNUC__)
! #define pg_attribute_always_inline __attribute__((always_inline))
  /* msvc via a special keyword */
  #elif defined(_MSC_VER)
  #define pg_attribute_always_inline __forceinline
  #else
! #define pg_attribute_always_inline
  #endif
  
  /*
--- 148,159 ----
  
  /* GCC, Sunpro and XLC support always_inline via __attribute__ */
  #if defined(__GNUC__)
! #define pg_attribute_always_inline __attribute__((always_inline)) inline
  /* msvc via a special keyword */
  #elif defined(_MSC_VER)
  #define pg_attribute_always_inline __forceinline
  #else
! #define pg_attribute_always_inline inline
  #endif
  
  /*
